Bug 34774

Summary: Call attachTo/detachFrom on delegates of ProxyLook correctly
Product: contrib Reporter: Vitezslav Stejskal <vstejskal>
Component: LooksAssignee: Petr Hrebejk <phrebejk>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 3.xKeywords: API
Target Milestone: 3.x   
Hardware: PC   
OS: All   
Whiteboard: projects
Issue Type: DEFECT Exception Report:

Description Vitezslav Stejskal 2003-07-07 14:13:00 UTC
The ProxyLook doesn't call attachTo/detachFrom
correctly on delegating Looks when its
LookSelector fires the selectorChanged event.
Comment 1 Petr Hrebejk 2003-07-09 15:19:16 UTC
Added test. See ProxyLookTest.testAttachDetachAfterSelectorChange().
Comment 2 Petr Hrebejk 2003-09-19 16:12:22 UTC
Fixed in the looks_projfix branch as it depends on the LookSelector
changes.
Comment 3 Petr Hrebejk 2003-10-01 17:45:09 UTC
Fixed after the first merge with looks_projfix branch.
Comment 4 Lukas Hasik 2004-02-26 14:40:11 UTC
x
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo